package fr.iutfbleau.projetIHM2022FI2.MP.ROOT.Controller;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JTextField;

import fr.iutfbleau.projetIHM2022FI2.API.Etudiant;
import fr.iutfbleau.projetIHM2022FI2.MP.ROOT.View.FindBarFenetre;
/**
 * le controller pour la recherche d'etudiants
 */
public class ListenerFindBar implements ActionListener{
	// la fenetre de recherche
    private FindBarFenetre fenetre;
	// l'etudiant a rechercher
    private Etudiant et;
		/**
		 * le constructeur
		 * @param fenetre la fenetre de recherche
		 * @param e l'etudiant a rechercher
		 * 
		 */
    public ListenerFindBar(FindBarFenetre fenetre, Etudiant e){
        this.fenetre=fenetre;
        this.et=e;
    }
		/**
		 * méthode invoquée lors d'un clic sur un bouton
		 * @param e l'événement
		 */
    @Override
    public void actionPerformed(ActionEvent e) {
        String text=((JButton)e.getSource()).getText();
        if(text.equals("->"))
            this.fenetre.search(((JTextField)((JButton)e.getSource()).getParent()).getText());
        else{
            this.fenetre.showGroupe(et);
        }
    }
    
}
